# Generated from reustyle-2.0.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name reustyle

Name: rubygem-%{gem_name}
Version: 2.0.11
Release: 1%{?dist}
Summary: Pattern library for uSwitch
License: Apache-2.0
URL: http://reustyle.guide
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(aws-sdk) >= 2.0
# BuildRequires: rubygem(aws-sdk) < 3
# BuildRequires: rubygem(rb-fsevent)
# BuildRequires: rubygem(scss-lint) = 0.35.0
BuildArch: noarch

%description
uSwitch style guide.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.drone.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.nvmrc
%{gem_instdir}/.rbenv-gemsets
%{gem_instdir}/.ruby-version
%{gem_instdir}/Gruntfile.js
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bower.json
%{gem_instdir}/config
%{gem_instdir}/dist
%{gem_instdir}/grunt
%{gem_instdir}/index.js
%{gem_libdir}
%{gem_instdir}/package-lock.json
%{gem_instdir}/package.json
%{gem_instdir}/styleguide
%{gem_instdir}/tasks
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/reustyle.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 2.0.11-1
- Initial package
